whoopsie-preferences respawns whoopsie in an infinite loop

Bug #1261096 reported by Michael Blennerhassett on 2013-12-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
activity-log-manager (Ubuntu)
Undecided
Unassigned
whoopsie-preferences (Ubuntu)
High
Unassigned

Bug Description

1. Go to system settings -> security and privacy -> diagnostics
2. wait about 1 minute
3. whoopsie-preferences starts respawning whoopsie in an infinite loop

(If nothing happens after about a minute, try changes some preferences and waiting again)

init (PID 1), dbus, polkitd and whoopsie-prefences then peg a cpu at 100%. Everything settles back down when system settings is closed.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: whoopsie-preferences 0.9
ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
Uname: Linux 3.12.0-7-generic x86_64
ApportVersion: 2.12.7-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Dec 15 16:16:02 2013
InstallationDate: Installed on 2013-06-22 (176 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130621)
SourcePackage: whoopsie-preferences
UpgradeStatus: Upgraded to trusty on 2013-12-05 (9 days ago)

Brian Murray (brian-murray) wrote :

I was unable to recreate this with whoopsie-preferences 0.10 and whoopsie version 0.2.24.4ubuntu1. Could you please test this again and see if it still occurs? Thanks in advance.

Changed in whoopsie-preferences (Ubuntu):
status: New → Incomplete

Yep, can still reproduce. /var/log/syslog contains a long list of:

Apr 3 19:30:17 Jasmine whoopsie[10523]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:17 Jasmine whoopsie[10523]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:17 Jasmine whoopsie[10524]: online
Apr 3 19:30:17 Jasmine whoopsie[10535]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:17 Jasmine whoopsie[10535]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:17 Jasmine whoopsie[10536]: online
Apr 3 19:30:17 Jasmine whoopsie[10546]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:17 Jasmine whoopsie[10546]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:17 Jasmine whoopsie[10547]: online
Apr 3 19:30:17 Jasmine whoopsie[10557]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:17 Jasmine whoopsie[10557]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:17 Jasmine whoopsie[10558]: online
Apr 3 19:30:17 Jasmine whoopsie[10569]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:17 Jasmine whoopsie[10569]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:17 Jasmine whoopsie[10570]: online
Apr 3 19:30:18 Jasmine whoopsie[10580]: whoopsie 0.2.24.4 starting up.
Apr 3 19:30:18 Jasmine whoopsie[10580]: Using lock path: /var/lock/whoopsie/lock
Apr 3 19:30:18 Jasmine whoopsie[10581]: online

Brian Murray (brian-murray) wrote :

And is that with the same versions of whoopsie and whoopsie-preferences that I tested with?

Brian Murray (brian-murray) wrote :

I tested again using whoopsie version 0.2.24.4 (I had a testing version of whoopsie installed) and have now recreated the bug. Thanks!

Changed in whoopsie-preferences (Ubuntu):
importance: Undecided → High
status: Incomplete → Confirmed
summary: - whoopsie-prefernces respawns whoopsie in an infinite loop
+ whoopsie-preferences respawns whoopsie in an infinite loop
Iain Lane (laney) wrote :

AFAICT this problem comes from activity-log-manager getting into a loop with its checkbox toggle handler and the handler that takes care of seeing whoopsie-preferences's properties change. When preferences times out, a signal is sent out which confuses the UI.

A workaround is to not execute the handler in this case, which is what I'm going to upload.

Changed in whoopsie-preferences (Ubuntu):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.7-0ubuntu13

---------------
activity-log-manager (0.9.7-0ubuntu13) trusty; urgency=medium

  * Don't try to get properties if the interface doesn't have an owner, to
    break a loop when whoopsie-preferences exits. (LP: #1261096)
 -- Iain Lane <email address hidden> Fri, 04 Apr 2014 17:10:14 +0100

Changed in activity-log-manager (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers